function [lines, samples, bands] = getDimension(header)

    % Funktion
    %   Auslesen der Dimensionsgren des Hyperspektraldatenblocks.
    % 
    % Eingabe
    %   - header:           Dateipfad der Header-Datei
    %
    % Ausgabe
    %   - lines:            Anzahl der Bildzeilen
    %   - samples:          Anzahl der Pixel innerhalb einer Bildzeile
    %   - bands:            Anzahl der Spektralbnder

    lines = 0; samples = 0; bands = 0;
    fileID      = fopen(header);
    
    while ~feof(fileID)
        line = fgetl(fileID);  
        
        % LINES
        if(findstr('lines', line))
            x = findstr('= ', line);
            lines = str2num(line(x+1:end));
        end
        
        % SAMPLES
        if(findstr('samples', line))
            x = findstr('= ', line);
            samples = str2num(line(x+1:end));
        end
        
        % BANDS
        if(findstr('bands', line))
            x = findstr('= ', line);
            bands = str2num(line(x+1:end));
            break;
        end        
    end    
    
end