function [GSD] = getGSD(header)

    % Funktion
    %   Auslesen der Bodenauflsung.
    % 
    % Eingabe
    %   - header:           Dateipfad der Header-Datei
    %
    % Ausgabe
    %   - GSD:              Bodenauflsung

    fileID    = fopen(header);
    searchStr = 'pixel size = {';
    GSD       = 0;
    
    while ~feof(fileID)
        line = fgetl(fileID);
        if(findstr(searchStr, line))
            lineStr         = line(length(searchStr)+1:end-1);            
            lineStrParts    = textscan(lineStr,'%d', 'Delimiter',',');
            GSD             = double(lineStrParts{1}(1));
        end    
    end
    
    fclose(fileID);

end