function [RSF] = getRSF(header)

    % Funktion
    %   Auslesen des Reflexionsskalierungsfaktors.
    % 
    % Eingabe
    %   - header:       Dateipfad der Header-Datei
    %
    % Ausgabe
    %   - RSF:          Reflexionsskalierungsfaktor
    
    fileID    = fopen(header);
    searchStr = 'reflectance scale factor = ';
    RSF       = 0;
    
    while ~feof(fileID)
        line = fgetl(fileID);
        if(findstr(searchStr, line))
            RSF = str2num(line(length(searchStr)+1:end-1));
        end    
    end
    
    fclose(fileID);

end