function [coeffs] = getLineCoeffs(trackLines)

    % Funktion
    %   Bestimmung der Koeffizienten der Fahrgassenlinien zur Beschreibung
    %   linearer Funktionen im Bildraum. 
    % 
    % Eingabe
    %   - trackLines:   Fahrgassenlinien
    %
    % Ausgabe
    %   - coeffs:       Koeffizienten der Fahrgassenlinien

    coeffs = {};    
    for k =1: length(trackLines)
        start         = trackLines(k).point1;
        stop          = trackLines(k).point2;
        xx            = [start(1) stop(1)];
        yy            = [start(2) stop(2)];
        coefficients  = polyfit(xx, yy, 1);
        coeffs{end+1} = coefficients;
    end
    
end