function [diffsM] = getMidLineDist(trackLines)

    % Funktion
    %   Bestimmung des mittleren Fahrgassenabstands.
    % 
    % Eingabe
    %   - trackLines:       Fahrgassenlinien
    %
    % Ausgabe
    %   - diffsM:           Mittlerer Fahrgassenabstand 
    
    paramList   = getParamList(trackLines);
    paramList   = sortrows(paramList, 7);
    diffs       = [];
    for k=1:size(paramList, 1)-1
        diffs = [diffs; abs(paramList(k, 7)-paramList(k+1, 7)) paramList(k, 1)];
    end
    diffsM  = median(diffs(:, 1));

end