function [paramList] = getParamList(trackLines)

    % Funktion
    %   Erzeugung einer Parameterliste aller Fahrgassenlinien zur besseren
    %   Analyse der Linien.
    % 
    % Eingabe
    %   - trackLines:       Fahrgassenlinien
    %
    % Ausgabe
    %   - paramList:        Parameterliste der Fahrgassenlinien
    
    paramList = [];
    for k = 1:length(trackLines)      
        start   = trackLines(k).point1;
        stop    = trackLines(k).point2;    
        theta   = trackLines(k).theta;
        rho     = trackLines(k).rho;    
        paramList = [paramList; [k start stop theta rho]];
    end
    
end