function [corner] = getCorner(intPoints, xyRect)

    % Funktion
    %   Berechnung des zugehrigen Eckpunkts bei 2 Schnittpunkten.
    %
    % Eingabe
    %   - intPoints:    Schnittpunkte des Pixel-Quadrats
    %   - xyRect:       Eckpunkte des Pixel-Quadrats
    %
    % Ausgabe
    %   - corner:       Eckpunkt

    pt1  = intPoints(1, 1:2);
    pt2  = intPoints(2, 1:2);
    hlid = intPoints(1, 5);
    c    = norm(pt1-pt2);
    
    % Punkte beschreiben rechtwinkliges Dreieck
    % Satz des Pythagoras muss gelten
    dist = [];
    for j=1:length(xyRect)           
        curPoint    = xyRect(j, :);
        a           = norm(curPoint-pt1);
        b           = norm(curPoint-pt2);
        dist        = [dist abs(c^2-(a^2 + b^2))];         
    end
    
    [minDist, idxMinDist] = min(dist);
    corner = [xyRect(idxMinDist, :) -1 -1 hlid];
end