function [intPointsCW] = sortClockwise(intPoints)

    % Funktion
    %   Sortierung der Schnittpunkte im Uhrzeigersinn.
    %
    % Eingabe
    %   - intPoints:        Schnittpunkte des Pixel-Quadrats
    %
    % Ausgabe
    %   - intPointsCW:      Sortierte Schnittpunkte des Pixel-Quadrats

    xx = intPoints(:, 1);
    yy = intPoints(:, 2);
    mx = mean(xx);
    my = mean(yy);
        
    angles = [];
    for i=1:length(xx)
       a = atan2(yy(i) - my, xx(i) - mx);
       angles = [angles; a i];
    end
    
    angles      = sortrows(angles, 1);
    
    intPointsCW = [];
    for i=1:length(angles)
       intPointsCW = [intPointsCW; intPoints(angles(i, 2), :)]; 
    end
    
end