function [s1, s2, step] = getLoopParams(excLines, k)

    % Funktion
    %   Bestimmung der Schleifenparameter zur Detektion der Bestandspixel
    %   pro Fahrgassenpixel.
    % 
    % Eingabe    
    %   - excLines:     Aktuelle Linienparameter
    %   - k:            Linien-ID
    %
    % Ausgabe
    %   - s1:           Startwert
    %   - s2:           Endwert
    %   - step:         Schrittweite

    if(k == excLines(1))
        % nur rechter Hand
        s1 = 1; 
        step = 1;
        s2 = 1;
    elseif(k == excLines(2))
        % nur linker Hand
        s1 = -1;
        step = 1;
        s2 = -1;
    else
        % zu beiden Seiten
        s1 = -1;
        step = 2;
        s2 = 1;
    end
        
end