function [e2v_m] = getMidSoilSpec(a, R, E1)

    % Funktion
    %   Ermittlung des mittleren Bodenspektrums fr ein Spektralmodell,
    %   bestehend aus mehreren Pixeln. 
    % 
    % Eingabe
    %   - a:        Vektor der Bestandsflchen des Spektralmodells
    %   - R:        Matrix der Pixelspektren des Spektralmodells
    %   - E1:       Matrix der Bestandsreferenzspektren des Spektralmodells
    %
    % Ausgabe
    %   - e2v_m:    Mittleres Bodenspektrum
    
    sum1 = 0;
    sum2 = 0;
    for k=1:size(a, 2)
        sum1    = sum1 + (1-a(k))*(R(:, k) - a(k)*E1(:, k));
        sum2    = sum2 + (1-a(k))^2;        
    end
    e2v_m     = sum1/sum2;
    
end